Description

Circuito 1: Payload - Generacidn de senales y control

Herramienta de Diseno de Software

Eagle 5.11

Funcionalidad

La tarjeta forma parte del prototipo de transmisor 2.0, el cual consta de dos tarjetas comunicadas entre si mediante un bus
stackeable, basado en el estdndar PC/104, utilizado ampliamente en cubesats. Se consider6 ademas la compatibilidad de las
tarjetas con la Motherboard que se adquirira.

La tarjeta consta de 4 capas distribuidas en la forma Signal, GND, VDD, Signal y ha sido disefiada para que la implementacion sea
realizada por SpeedyCircuits (Taiwan)

La tarjeta se ha dividido en dos etapas: Control y generacién de sefal.
Control

El circuito también contiene la etapa control del payload utilziando el microcontrolador ATmega128.
Dicha etapa se encarga de las siguientes tareas.

Comunicacion con el aircraft mediante protocolo serial y/o 12C

Control de PLLs: Llenado de registros, lectura de estados, enable/disable
Control de VCO: ON/OFF mediante switch analégico ADG701

Control de VGA: Llenado de registros (a la segunda tarjeta)

Codificaciéon: Generacion de secuencias y data a transimitir (a la segunda tarjeta)

e o o o O

Generacion

Esta etapa genera 150MHz y 400MHz a partir de PLLs y un circuito que genera una frecuencia comun de 10MHz.
A su vez, la etapa de generacion posee cuatro sub-etapas indentificables, duplicandose a las dos frecuencias de transmision:

Sefial de sincronismo: Circuito que genera 3 sefiales de 10MHz y las distribuye a los PLLs y al Microcontrolador
PLL: Genera la sefial que controla el VCO

Loop filter: Circuito RC que filtra la sefial de control del VCO genrada por el PLL.

VCO: Genera la frecuencia requerida

Switch: Control de ON/OFF de los VCO

Filtro: A la salida del VCO se encuentra un filtro pasabajos para la eliminaciéon de arménicos.

Consideraciones adicionales:

¢ La tarjeta transmite las sefiales de RF mediante conectores especiales board to board. Para mayor informacion revisar la web
de amphenol y la web de digikey. El bullet utilizado es ARF2472-ND, calculado para spacers de 15mm.
e Para conocer el componente que se esté utilizando revisar el atributo DIGIKEY-PART del mismo.
¢ Las capacidades del fabricante son las siguientes
o Ancho minimo: 1.5 mils
o Grosor minimo del dieléctrico: 2 mils
http://intranet.igp.gob.pe:8084/projects/instrumentacion-nano-satelites/wiki/Motherboard
http://intranet.igp.gob.pe:8084/projects/instrumentacion-nano-satelites/wiki/Amphenol
http://intranet.igp.gob.pe:8084/projects/instrumentacion-nano-satelites/wiki/Digikey
http://intranet.igp.gob.pe:8084/projects/instrumentacion-nano-satelites/wiki/ARF2472-ND

o Tamafio minimo del drill: 3mils mecanico, 2mils laser
e Es preciso mencionar que las pistas de sefiales se encuentran matcheadas a 50 Ohm, bajo la configuraciéon mostrada en la
siguiente imagen.

Captura.PNG

Entradas

Entradas CMOS estandar propias de microcontrolador para la programacién del mismo.
Las entradas a los demas componentes son manipuladas el microcontrolador directamente.

Salidas - RF

Senal 1 Senfal 2
Frecuencia 150MHz 400MHz
Potencia (50 Ohm) -3dBm a 7dBm -2dBm a 2dBm
Impedancia 50 50
Nivel DC Ov Ov

Diagrama de bloques
bloques.PNG

Archivo esquematico y board

Esquematico: http:/jro-dev.igp.gob.pe/svn/jro_hard/nanosats/TRUNK/HARDWARE/boards/Integrado/Eagle%205.0/integrado.sch
Board: http://jro-dev.igp.gob.pe/svn/jro_hard/nanosats/TRUNK/HARDWARE/boards/Integrado/Eagle%205.0/integrado.brd

History

#1 - 02/25/2016 12:16 PM - Joaquin Verastegui

- Description updated

#2 - 02/25/2016 12:18 PM - Jose Chavez

- Description updated

#3 - 03/08/2016 11:15 AM - Joaquin Verastegui
- Status changed from New to In progress

- Assignee changed from Joaquin Verastegui to Jose Chavez

Observacion Sefal o componente asociado Resultado

Ordenar la posicién de los nombres y valores -
de los componentes para que sean visibles.

Separar tierras para las dos sefales de RF, GND
hacer poligonos diferentes unidos por una
pequefia pista Unicamente.

Diferenciar las capas con colores. -

#4 - 04/25/2016 08:18 AM - Jose Chavez
http://jro-dev.igp.gob.pe/svn/jro_hard/nanosats/TRUNK/HARDWARE/boards/Integrado/Eagle%205.0/integrado.sch
http://jro-dev.igp.gob.pe/svn/jro_hard/nanosats/TRUNK/HARDWARE/boards/Integrado/Eagle%205.0/integrado.brd

- Status changed from In progress to Closed
